markup
Prev | DocBook Element Reference | Next

This is an alpha version of this book.

# markup

markup — A string of formatting markup in text that is to be represented literally

## Synopsis

### Mixed Content Model

    markup ::=
    (#PCDATA|replaceable|inlinegraphic|inlinemediaobject|indexterm|
     beginpage)*

### Attributes

Common attributes

## Description

`Markup` contains a string of formatting markup that is to be represented literally in the text. The utility of this element is almost wholly constrained to books about document formatting tools.

### Processing expectations

Formatted inline.

### Parents

These elements contain markup: `action`, `application`, `attribution`, `bibliomisc`, `bridgehead`, `citation`, `citetitle`, `classsynopsisinfo`, `command`, `computeroutput`, `database`, `emphasis`, `entry`, `filename`, `foreignphrase`, `funcparams`, `funcsynopsisinfo`, `function`, `glosssee`, `glossseealso`, `glossterm`, `hardware`, `interfacename`, `keycap`, `lineannotation`, `link`, `literal`, `literallayout`, `lotentry`, `member`, `msgaud`, `olink`, `option`, `optional`, `para`, `parameter`, `phrase`, `primary`, `primaryie`, `productname`, `programlisting`, `property`, `quote`, `refdescriptor`, `refentrytitle`, `refname`, `refpurpose`, `remark`, `screen`, `screeninfo`, `secondary`, `secondaryie`, `see`, `seealso`, `seealsoie`, `seeie`, `seg`, `segtitle`, `simpara`, `subtitle`, `synopsis`, `systemitem`, `term`, `tertiary`, `tertiaryie`, `title`, `titleabbrev`, `tocback`, `tocentry`, `tocfront`, `trademark`, `ulink`, `userinput`.

### Children

The following elements occur in markup: `beginpage`, `indexterm`, `inlinegraphic`, `inlinemediaobject`, `replaceable`.

## See Also

`computeroutput`, `constant`, `literal`, `option`, `optional`, `parameter`, `prompt`, `replaceable`, `sgmltag`, `userinput`, `varname`.

## Examples

    <!DOCTYPE para PUBLIC "-//OASIS//DTD DocBook XML V4.1.2//EN"
              "http://www.oasis-open.org/docbook/xml/4.1.2/docbookx.dtd">
    <para>
    A presentation system using TeX as a back end might allow you
    to insert inline markup, such as <markup role="tex">$x^2$</markup>,
    using TeX syntax directly.
    </para>

A presentation system using TeX as a back end might allow you to insert inline markup, such as $x^2$, using TeX syntax directly.

Prev | Home | Next
manvolnum | Up | medialabel

Copyright© 1999, 2000, 2001 O'Reilly & Associates, Inc. All rights reserved.